Erubis 2.6.4 released - Rails 2.2 and 2.3 support


#1

Hi,

I have released Erubis 2.6.4.
http://www.kuwata-lab.com/erubis/
http://rubyforge.org/frs/?group_id=1320&release_id=31476

Erubis is another eRuby implementation which is very fast and
extensible than ERB and eruby.

Enhancement since 2.6.3:

  • Ruby on Rails 2.2 and 2.3 support.

Have fun!


#2

Hi,

I’m seeing some breakage with Erubis 2.6.4 against Rails 2.2.2:

You have a nil object when you didn’t expect it!
You might have expected an instance of Array.
The error occurred while evaluating nil.<<

– snip –

/opt/local/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_view/
helpers/text_helper.rb:42:in concat' /opt/local/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_view/ helpers/form_tag_helper.rb:461:inform_tag_in_block’
/opt/local/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_view/
helpers/form_tag_helper.rb:39:in `form_tag’
app/views/sessions/new.html.erb:28

I’m looking into this further.

Regards,

Rob


#3

On Mar 20, 10:20 pm, mkdynamic removed_email_address@domain.invalid wrote:

I’m also seeing this same issue…

~ Mark

Im also receiving this.


#4

I’m also seeing this same issue…

~ Mark


#5

Same issue here with Rails 2.3.2: content_tag(“h1”, content, options,
escape, &block)

Would love to use Erubis. Any chance of a fix?
Cheers!


#6

Same issue here…
Seems to appear on:
<% form_for :user, :url => some_path } do |f| %>

Rails 2.3.2 with Erubis 2.6.4…